/*************************************************************************************************
*
*
*			ObjectMacZapp		-- a standard Mac OOP application template
*
*
*
*			ZCommander.h			-- an object for handling commands
*
*
*
*
*
*			 1996, Graham Cox
*
*
*
*
*************************************************************************************************/

#pragma once

#ifndef __ZCOMMANDER__
#define __ZCOMMANDER__


class	ZCommander
{
public:
	ZCommander*		itsBoss;
	
	ZCommander(ZCommander* aBoss);

	virtual void	HandleCommand(short menuID, short itemID);
	virtual void	UpdateMenus();
	virtual void	Idle();
	
	
	inline	ZCommander*	GetBoss(){ return itsBoss;};
};


// windows and the application are derived from this. It implements a single entity in the
// "chain of command"

#endif